Description

Add the ability to download a remote file to install.

This could be done by allowing the PACKAGE_FILE to be a URL. Doing so would cause the script to download the file first and then

install it.

Associated revisions

Revision 16 - 03/25/2017 11:13 PM - lukemurphey

Added the ability to installed  downloaded files

Reference #1799

History

#1 - 03/25/2017 06:38 PM - Luke Murphey

Here is a URL to a package file from the main server: https://build.lukemurphey.net/go/files/network-tools/68/mainStage/1/build/network_tools.tar.gz

It should be the same for the 8154 port server. See https://api.gocd.io/current/#get-artifact-file

Note that to make this URL, we need:

GO_SERVER_URL

GO_DEPENDENCY_LOCATOR_NETWORK_TOOLS (network-tools/68/mainStage/1)

GO_STAGE_COUNTER (1)

GO_DEPENDENCY_LABEL_NETWORK_TOOLS (68)

#2 - 03/25/2017 07:07 PM - Luke Murphey

I have this added but it is failing on authentication.

#3 - 03/25/2017 11:12 PM - Luke Murphey

I added the following:

PACKAGE_USERNAME

PACKAGE_PASSWORD

I updated the following:

PACKAGE_FILE now accepts a URL which will be downloaded
#4 - 03/26/2017 04:00 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
